# Record TCefScrollView

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefScrollView = record`

## Description

A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefScrollView.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_scroll_view_capi.h">CEF source file: /include/capi/views/cef_scroll_view_capi.h (cef_scroll_view_t))

## Overview

### Fields

| `base: TCefView;`
| `set_content_view: procedure(self: PCefScrollView; view: PCefView); stdcall;`
| `get_content_view: function(self: PCefScrollView): PCefView; stdcall;`
| `get_visible_content_rect: function(self: PCefScrollView): TCefRect; stdcall;`
| `has_horizontal_scrollbar: function(self: PCefScrollView): Integer; stdcall;`
| `get_horizontal_scrollbar_height: function(self: PCefScrollView): Integer; stdcall;`
| `has_vertical_scrollbar: function(self: PCefScrollView): Integer; stdcall;`
| `get_vertical_scrollbar_width: function(self: PCefScrollView): Integer; stdcall;`

## Description

### Fields

| `base: TCefView;`
This item has no description.

| `set_content_view: procedure(self: PCefScrollView; view: PCefView); stdcall;`
This item has no description.

| `get_content_view: function(self: PCefScrollView): PCefView; stdcall;`
This item has no description.

| `get_visible_content_rect: function(self: PCefScrollView): TCefRect; stdcall;`
This item has no description.

| `has_horizontal_scrollbar: function(self: PCefScrollView): Integer; stdcall;`
This item has no description.

| `get_horizontal_scrollbar_height: function(self: PCefScrollView): Integer; stdcall;`
This item has no description.

| `has_vertical_scrollbar: function(self: PCefScrollView): Integer; stdcall;`
This item has no description.

| `get_vertical_scrollbar_width: function(self: PCefScrollView): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.